<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Mon Oct 14 14:51:10 CEST 2019 -->
<title>F-Index</title>
<meta name="date" content="2019-10-14">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="F-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-5.html">Prev Letter</a></li>
<li><a href="index-7.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-6.html" target="_top">Frames</a></li>
<li><a href="index-6.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">R</a>&nbsp;<a href="index-13.html">S</a>&nbsp;<a href="index-14.html">T</a>&nbsp;<a href="index-15.html">U</a>&nbsp;<a name="I:F">
<!--   -->
</a>
<h2 class="title">F</h2>
<dl>
<dt><span class="memberNameLink"><a href="../repo/BorrowDAO.html#findAllBorrows--">findAllBorrows()</a></span> - Method in class repo.<a href="../repo/BorrowDAO.html" title="class in repo">BorrowDAO</a></dt>
<dd>
<div class="block">method to find all borrows with the dates,the student information and the bookname.</div>
</dd>
<dt><span class="memberNameLink"><a href="../services/BorrowService.html#findAllBorrows--">findAllBorrows()</a></span> - Method in class services.<a href="../services/BorrowService.html" title="class in services">BorrowService</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../repo/BorrowDAO.html#findAllBorrowsByStudent-java.lang.String-">findAllBorrowsByStudent(String)</a></span> - Method in class repo.<a href="../repo/BorrowDAO.html" title="class in repo">BorrowDAO</a></dt>
<dd>
<div class="block">this is method to find borrow based on student, here the connection with the db is made and the query executed.</div>
</dd>
<dt><span class="memberNameLink"><a href="../repo/BorrowDAO.html#findAllBorrowsWithStudent--">findAllBorrowsWithStudent()</a></span> - Method in class repo.<a href="../repo/BorrowDAO.html" title="class in repo">BorrowDAO</a></dt>
<dd>
<div class="block">method to find all borrows with the student information and the bookname.</div>
</dd>
<dt><span class="memberNameLink"><a href="../services/GenreService.html#findAllGenres--">findAllGenres()</a></span> - Method in class services.<a href="../services/GenreService.html" title="class in services">GenreService</a></dt>
<dd>
<div class="block">uses the dao to find all the genres and drop them in a list</div>
</dd>
<dt><span class="memberNameLink"><a href="../repo/StudentDAO.html#findAllStudents--">findAllStudents()</a></span> - Method in class repo.<a href="../repo/StudentDAO.html" title="class in repo">StudentDAO</a></dt>
<dd>
<div class="block">method to find all students.</div>
</dd>
<dt><span class="memberNameLink"><a href="../services/StudentService.html#findAllStudents--">findAllStudents()</a></span> - Method in class services.<a href="../services/StudentService.html" title="class in services">StudentService</a></dt>
<dd>
<div class="block">list with all students from the dao</div>
</dd>
<dt><span class="memberNameLink"><a href="../repo/AuthorDAO.html#findAuthorById-int-">findAuthorById(int)</a></span> - Method in class repo.<a href="../repo/AuthorDAO.html" title="class in repo">AuthorDAO</a></dt>
<dd>
<div class="block">this is method to find author based on his id, here the connection with the db is made and the query executed.</div>
</dd>
<dt><span class="memberNameLink"><a href="../services/AuthorService.html#findAuthorById-int-">findAuthorById(int)</a></span> - Method in class services.<a href="../services/AuthorService.html" title="class in services">AuthorService</a></dt>
<dd>
<div class="block">to verify the id entered by the user is valid</div>
</dd>
<dt><span class="memberNameLink"><a href="../repo/BookDAO.html#findBookById-int-">findBookById(int)</a></span> - Method in class repo.<a href="../repo/BookDAO.html" title="class in repo">BookDAO</a></dt>
<dd>
<div class="block">this is method to find book based on his id, here the connection with the db is made and the query executed.</div>
</dd>
<dt><span class="memberNameLink"><a href="../services/BookService.html#findBookById-int-">findBookById(int)</a></span> - Method in class services.<a href="../services/BookService.html" title="class in services">BookService</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../repo/BorrowDAO.html#findBorrowBetweenDates-java.util.Date-java.util.Date-">findBorrowBetweenDates(Date, Date)</a></span> - Method in class repo.<a href="../repo/BorrowDAO.html" title="class in repo">BorrowDAO</a></dt>
<dd>
<div class="block">method to find all borrows betweed two dates.</div>
</dd>
<dt><span class="memberNameLink"><a href="../services/BorrowService.html#findBorrowsBetweenDates-java.util.Date-java.util.Date-">findBorrowsBetweenDates(Date, Date)</a></span> - Method in class services.<a href="../services/BorrowService.html" title="class in services">BorrowService</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../repo/GenreDAO.html#findGenreById-int-">findGenreById(int)</a></span> - Method in class repo.<a href="../repo/GenreDAO.html" title="class in repo">GenreDAO</a></dt>
<dd>
<div class="block">this is method to find genre based on his id, here the connection with the db is made and the query executed.</div>
</dd>
<dt><span class="memberNameLink"><a href="../services/GenreService.html#findGenreById-int-">findGenreById(int)</a></span> - Method in class services.<a href="../services/GenreService.html" title="class in services">GenreService</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../repo/GenreDAO.html#findGenreByName-java.lang.String-">findGenreByName(String)</a></span> - Method in class repo.<a href="../repo/GenreDAO.html" title="class in repo">GenreDAO</a></dt>
<dd>
<div class="block">this is method to find genre based on his name, here the connection with the db is made and the query executed.</div>
</dd>
<dt><span class="memberNameLink"><a href="../services/GenreService.html#findGenreByName-java.lang.String-">findGenreByName(String)</a></span> - Method in class services.<a href="../services/GenreService.html" title="class in services">GenreService</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../repo/GenreDAO.html#findGenres--">findGenres()</a></span> - Method in class repo.<a href="../repo/GenreDAO.html" title="class in repo">GenreDAO</a></dt>
<dd>
<div class="block">method to find all genres with the genreId and genreName.</div>
</dd>
<dt><span class="memberNameLink"><a href="../repo/StudentDAO.html#findStudentById-int-">findStudentById(int)</a></span> - Method in class repo.<a href="../repo/StudentDAO.html" title="class in repo">StudentDAO</a></dt>
<dd>
<div class="block">this is method to find student based on his id, here the connection with the db is made and the query executed.</div>
</dd>
<dt><span class="memberNameLink"><a href="../services/StudentService.html#findStudentById-int-">findStudentById(int)</a></span> - Method in class services.<a href="../services/StudentService.html" title="class in services">StudentService</a></dt>
<dd>
<div class="block">method to make sure the user cant give a invalid id</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">R</a>&nbsp;<a href="index-13.html">S</a>&nbsp;<a href="index-14.html">T</a>&nbsp;<a href="index-15.html">U</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-5.html">Prev Letter</a></li>
<li><a href="index-7.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-6.html" target="_top">Frames</a></li>
<li><a href="index-6.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
